<html>

<head>
    <!-- bản phát triển (development), bao gồm những cảnh báo hữu ích trong console -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

</head>

<body>
    <div id="app">
        {{ message }}
    </div>
    <div id="app-2">
        <span v-bind:title="message">
            Rê chuột lên đây một vài giây để xem thuộc tính `title` được bind!
        </span>
    </div>

    <div id="app-3">
        <span v-if="seen">Thoắt ẩn thoắt hiện</span>
    </div>

    <div id="app-4">
        <ol>
            <li v-for="todo in todos">
                {{ todo.text }}
            </li>
        </ol>
    </div>

    <div id="app-5">
        <p>{{ message }}</p>
        <button v-on:click="reverseMessage">Reverse Message</button>
    </div>

    <div id="app-6">
        <p>{{ message }}</p>
        <input v-model="message">
    </div>

    <div id="app-7">
        <p>Những thứ họ mua:</p>
        <ol>
            <!--
            Ở đây chúng ta cung cấp một object "todo" cho mỗi component
            "todo-item". Bằng cách này nội dung của từng component trở nên động.
            Mỗi component cũng sẽ nhận một thuộc tính "key". Chúng ta sẽ
            nói thêm về thuộc tính này sau.
          -->
            <todo-item v-for="item in groceryList" v-bind:todo="item" v-bind:key="item.id">
            </todo-item>
        </ol>
    </div>
    <script>
        var app = new Vue({
            el: '#app',
            data: {
                message: 'helle'
            }
        })

        var app2 = new Vue({
            el: '#app-2',
            data: {
                message: 'Bạn đã mở trang này vào ' + new Date().toLocaleString()
            }
        })

        var app3 = new Vue({
            el: '#app-3',
            data: {
                seen: true
            }
        })


        var app4 = new Vue({
            el: '#app-4',
            data: {
                todos: [
                    { text: 'Học JavaScript' },
                    { text: 'Học Vue' },
                    { text: 'Xây dựng cái gì đó hay ho' }
                ]
            }

        })
        app4.todos.push({ text: 'Nghỉ ngơi' })

        var app5 = new Vue({
            el: '#app-5',
            data: {
                message: 'qua lại khách chờ sông lặng sóng'
            },
            methods: {
                reverseMessage: function () {
                    this.message = this.message.split(' ').reverse().join(' ')
                }
            }
        })

        var app6 = new Vue({
            el: '#app-6',
            data: {
                message: 'Hãy sửa thông điệp này'
            }
        })

        // Định nghĩa một component todo-iteM
        Vue.component('todo-item', {
            // Ở đây chúng ta khai báo cho component todo-item 
            // nhận một "prop" (có thể hiểu là một thuộc tính tùy biến) 
            // có tên là "todo".
            props: ['todo'],
            template: '<li>{{ todo.text }}</li>'
        })



        var app7 = new Vue({
            el: '#app-7',
            data: {
                groceryList: [
                    { id: 0, text: 'Cà pháo' },
                    { id: 1, text: 'Mắm tôm' },
                    { id: 1, text: 'dau' },
                    { id: 2, text: 'Miễn ăn được là được' }
                ]
            }
        })
    </script>


</body>

</html>